Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 2117)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 2118)
@@ -6756,352 +5504,3 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Advection of w - Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE advec_w_ws_acc
-
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, drho_air_zw, tend, u, v, w, rho_air, rho_air_zw
-
-       USE constants,                                                          &
-           ONLY:  adv_mom_1, adv_mom_3, adv_mom_5
-
-       USE control_parameters,                                                 &
-           ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans
-
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy
-
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb,  &
-                  nzb_max, nzt, wall_flags_0, wall_flags_00
-           
-       USE kinds
-       
-!        USE statistics,                                                       &
-!            ONLY:  hom, sums_ws2_ws_l, weight_substep
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i      !<
-       INTEGER(iwp) ::  ibit27 !<
-       INTEGER(iwp) ::  ibit28 !<
-       INTEGER(iwp) ::  ibit29 !<
-       INTEGER(iwp) ::  ibit30 !<
-       INTEGER(iwp) ::  ibit31 !<
-       INTEGER(iwp) ::  ibit32 !<
-       INTEGER(iwp) ::  ibit33 !<
-       INTEGER(iwp) ::  ibit34 !<
-       INTEGER(iwp) ::  ibit35 !<
-       INTEGER(iwp) ::  j      !<
-       INTEGER(iwp) ::  k      !<
-       INTEGER(iwp) ::  k_mmm  !<
-       INTEGER(iwp) ::  k_mm   !<
-       INTEGER(iwp) ::  k_pp   !<
-       INTEGER(iwp) ::  k_ppp  !<
-       INTEGER(iwp) ::  tn = 0 !<
-
-       REAL(wp)    ::  diss_d   !<
-       REAL(wp)    ::  diss_l   !<
-       REAL(wp)    ::  diss_n   !<
-       REAL(wp)    ::  diss_r   !<
-       REAL(wp)    ::  diss_s   !<
-       REAL(wp)    ::  diss_t   !<
-       REAL(wp)    ::  div      !<
-       REAL(wp)    ::  flux_d   !<
-       REAL(wp)    ::  flux_l   !<
-       REAL(wp)    ::  flux_n   !<
-       REAL(wp)    ::  flux_r   !<
-       REAL(wp)    ::  flux_s   !<
-       REAL(wp)    ::  flux_t   !<
-       REAL(wp)    ::  gu       !<
-       REAL(wp)    ::  gv       !<
-       REAL(wp)    ::  u_comp   !<
-       REAL(wp)    ::  u_comp_l !<
-       REAL(wp)    ::  v_comp   !<
-       REAL(wp)    ::  v_comp_s !<
-       REAL(wp)    ::  w_comp   !<
-
-       gu = 2.0_wp * u_gtrans
-       gv = 2.0_wp * v_gtrans
-
-
-!
-!--    Computation of fluxes and tendency terms
-       !$acc kernels present( ddzu, tend, u, v, w, wall_flags_0, wall_flags_00 )
-       DO i = i_left, i_right
-          DO  j = j_south, j_north
-             DO  k = nzb+1, nzt
-
-                ibit27 = IBITS(wall_flags_0(k,j,i-1),27,1)
-                ibit28 = IBITS(wall_flags_0(k,j,i-1),28,1)
-                ibit29 = IBITS(wall_flags_0(k,j,i-1),29,1)
-
-                u_comp_l                 = u(k+1,j,i) + u(k,j,i) - gu
-                flux_l                   = u_comp_l * (                        &
-                                      ( 37.0_wp * ibit29 * adv_mom_5              &
-                                   +     7.0_wp * ibit28 * adv_mom_3              &
-                                   +              ibit27 * adv_mom_1              &
-                                      ) *                                      &
-                                     ( w(k,j,i)   + w(k,j,i-1) )               &
-                               -      (  8.0_wp * ibit29 * adv_mom_5              &
-                                   +              ibit28 * adv_mom_3              &
-                                      ) *                                      &
-                                     ( w(k,j,i+1) + w(k,j,i-2) )               &
-                               +      (           ibit29 * adv_mom_5              &
-                                      ) *                                      &
-                                     ( w(k,j,i+2) + w(k,j,i-3) )               &
-                                                 )
-
-                diss_l                    = - ABS( u_comp_l ) * (              &
-                                        ( 10.0_wp * ibit29 * adv_mom_5            &
-                                     +     3.0_wp * ibit28 * adv_mom_3            &
-                                     +              ibit27 * adv_mom_1            &
-                                        ) *                                    &
-                                     ( w(k,j,i)   - w(k,j,i-1) )               &
-                                 -      (  5.0_wp * ibit29 * adv_mom_5            &
-                                     +              ibit28 * adv_mom_3            &
-                                        ) *                                    &
-                                     ( w(k,j,i+1) - w(k,j,i-2) )               &
-                                 +      (           ibit29 * adv_mom_5            &
-                                        ) *                                    &
-                                     ( w(k,j,i+2) - w(k,j,i-3) )               &
-                                                            )
-
-                ibit27 = IBITS(wall_flags_0(k,j,i),27,1)
-                ibit28 = IBITS(wall_flags_0(k,j,i),28,1)
-                ibit29 = IBITS(wall_flags_0(k,j,i),29,1)
-
-                u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
-                flux_r    = u_comp * (                                       &
-                          ( 37.0_wp * ibit29 * adv_mom_5                        &
-                       +     7.0_wp * ibit28 * adv_mom_3                        &
-                       +              ibit27 * adv_mom_1                        &
-                          ) *                                                &
-                                 ( w(k,j,i+1) + w(k,j,i)   )                 &
-                   -      (  8.0_wp * ibit29 * adv_mom_5                        &
-                       +              ibit28 * adv_mom_3                        &
-                          ) *                                                &
-                                 ( w(k,j,i+2) + w(k,j,i-1) )                 &
-                   +      (           ibit29 * adv_mom_5                        &
-                          ) *                                                &
-                                 ( w(k,j,i+3) + w(k,j,i-2) )                 &
-                                     )
-
-                diss_r    = - ABS( u_comp ) * (                              &
-                          ( 10.0_wp * ibit29 * adv_mom_5                        &
-                       +     3.0_wp * ibit28 * adv_mom_3                        &
-                       +              ibit27 * adv_mom_1                        &
-                          ) *                                                &
-                                 ( w(k,j,i+1) - w(k,j,i)  )                  &
-                   -      (  5.0_wp * ibit29 * adv_mom_5                        &
-                       +              ibit28 * adv_mom_3                        &
-                          ) *                                                &
-                                 ( w(k,j,i+2) - w(k,j,i-1) )                 &
-                   +      (           ibit29 * adv_mom_5                        &
-                          ) *                                                &
-                                 ( w(k,j,i+3) - w(k,j,i-2) )                 &
-                                              )
-                ibit32 = IBITS(wall_flags_00(k,j-1,i),0,1)
-                ibit31 = IBITS(wall_flags_0(k,j-1,i),31,1)
-                ibit30 = IBITS(wall_flags_0(k,j-1,i),30,1)
-
-                v_comp_s               = v(k+1,j,i) + v(k,j,i) - gv
-                flux_s                 = v_comp_s * (                         &
-                                    ( 37.0_wp * ibit32 * adv_mom_5               &
-                                 +     7.0_wp * ibit31 * adv_mom_3               &
-                                 +              ibit30 * adv_mom_1               &
-                                    ) *                                       &
-                                     ( w(k,j,i)   + w(k,j-1,i) )              &
-                             -      (  8.0_wp * ibit32 * adv_mom_5               &
-                                 +              ibit31 * adv_mom_3               &
-                                    ) *                                       &
-                                     ( w(k,j+1,i) + w(k,j-2,i) )              &
-                             +      (           ibit32 * adv_mom_5               &
-                                    ) *                                       &
-                                     ( w(k,j+2,i) + w(k,j-3,i) )              &
-                                               )
-
-                diss_s                 = - ABS( v_comp_s ) * (                &
-                                    ( 10.0_wp * ibit32 * adv_mom_5               &
-                                 +     3.0_wp * ibit31 * adv_mom_3               &
-                                 +              ibit30 * adv_mom_1               &
-                                    ) *                                       &
-                                     ( w(k,j,i)   - w(k,j-1,i) )              &
-                             -      (  5.0_wp * ibit32 * adv_mom_5               &
-                                 +              ibit31 * adv_mom_3               &
-                                    ) *                                       &
-                                     ( w(k,j+1,i) - w(k,j-2,i) )              &
-                             +      (           ibit32 * adv_mom_5               &
-                                    ) *                                       &
-                                     ( w(k,j+2,i) - w(k,j-3,i) )              &
-                                                        )
-
-                ibit32 = IBITS(wall_flags_00(k,j,i),0,1)
-                ibit31 = IBITS(wall_flags_0(k,j,i),31,1)
-                ibit30 = IBITS(wall_flags_0(k,j,i),30,1)
-
-                v_comp    = v(k+1,j+1,i) + v(k,j+1,i) - gv
-                flux_n    = v_comp * (                                       &
-                          ( 37.0_wp * ibit32 * adv_mom_5                        &
-                       +     7.0_wp * ibit31 * adv_mom_3                        &
-                       +              ibit30 * adv_mom_1                        &
-                          ) *                                                 &
-                                 ( w(k,j+1,i) + w(k,j,i)   )                 &
-                   -      (  8.0_wp * ibit32 * adv_mom_5                        &
-                       +              ibit31 * adv_mom_3                        &
-                          ) *                                                &
-                                 ( w(k,j+2,i) + w(k,j-1,i) )                 &
-                   +      (           ibit32 * adv_mom_5                        &
-                          ) *                                                &
-                                 ( w(k,j+3,i) + w(k,j-2,i) )                 &
-                                     )
-
-                diss_n    = - ABS( v_comp ) * (                              &
-                          ( 10.0_wp * ibit32 * adv_mom_5                        &
-                       +     3.0_wp * ibit31 * adv_mom_3                        &
-                       +              ibit30 * adv_mom_1                        &
-                          ) *                                                &
-                                 ( w(k,j+1,i) - w(k,j,i)  )                  &
-                   -      (  5.0_wp * ibit32 * adv_mom_5                        &
-                       +              ibit31 * adv_mom_3                        &
-                          ) *                                                &
-                                 ( w(k,j+2,i) - w(k,j-1,i) )                 &
-                   +      (           ibit32 * adv_mom_5                        &
-                          ) *                                                &
-                                 ( w(k,j+3,i) - w(k,j-2,i) )                 &
-                                              )
-
-                ibit35 = IBITS(wall_flags_00(k-1,j,i),3,1)
-                ibit34 = IBITS(wall_flags_00(k-1,j,i),2,1)
-                ibit33 = IBITS(wall_flags_00(k-1,j,i),1,1)
-
-                k_pp  = k + 2 * ibit35
-                k_mm  = k - 2 * ( ibit34 + ibit35 )
-                k_mmm = k - 3 * ibit35
-
-                w_comp    = w(k,j,i) + w(k-1,j,i)
-                flux_d    = w_comp  * (                                      &
-                          ( 37.0_wp * ibit35 * adv_mom_5                        &
-                       +     7.0_wp * ibit34 * adv_mom_3                        &
-                       +              ibit33 * adv_mom_1                        &
-                          ) *                                                &
-                             ( w(k,j,i)    + w(k-1,j,i)   )                  &
-                   -      (  8.0_wp * ibit35 * adv_mom_5                        &
-                       +              ibit34 * adv_mom_3                        &
-                          ) *                                                &
-                             ( w(k+1,j,i)  + w(k_mm,j,i)  )                  &
-                   +      (           ibit35 * adv_mom_5                        &
-                          ) *                                                &
-                             ( w(k_pp,j,i) + w(k_mmm,j,i) )                  &
-                                       )
-
-                diss_d    = - ABS( w_comp ) * (                              &
-                          ( 10.0_wp * ibit35 * adv_mom_5                        &
-                       +     3.0_wp * ibit34 * adv_mom_3                        &
-                       +              ibit33 * adv_mom_1                        &
-                          ) *                                                &
-                             ( w(k,j,i)    - w(k-1,j,i)   )                  &
-                   -      (  5.0_wp * ibit35 * adv_mom_5                        &
-                       +              ibit34 * adv_mom_3                        &
-                          ) *                                                &
-                             ( w(k+1,j,i)  - w(k_mm,j,i)  )                  &
-                   +      (           ibit35 * adv_mom_5                        &
-                          ) *                                                &
-                             ( w(k_pp,j,i) - w(k_mmm,j,i) )                  &
-                                               )
-
-!
-!--             k index has to be modified near bottom and top, else array
-!--             subscripts will be exceeded.
-                ibit35 = IBITS(wall_flags_00(k,j,i),3,1)
-                ibit34 = IBITS(wall_flags_00(k,j,i),2,1)
-                ibit33 = IBITS(wall_flags_00(k,j,i),1,1)
-
-                k_ppp = k + 3 * ibit35
-                k_pp  = k + 2 * ( 1 - ibit33  )
-                k_mm  = k - 2 * ibit35
-
-                w_comp    = w(k+1,j,i) + w(k,j,i)
-                flux_t    = w_comp * rho_air(k+1) * (                        &
-                          ( 37.0_wp * ibit35 * adv_mom_5                        &
-                       +     7.0_wp * ibit34 * adv_mom_3                        &
-                       +              ibit33 * adv_mom_1                        &
-                          ) *                                                &
-                             ( w(k+1,j,i)  + w(k,j,i)     )                  &
-                   -      (  8.0_wp * ibit35 * adv_mom_5                        &
-                       +              ibit34 * adv_mom_3                        &
-                          ) *                                                &
-                             ( w(k_pp,j,i)  + w(k-1,j,i)  )                  &
-                   +      (           ibit35 * adv_mom_5                        &
-                          ) *                                                &
-                             ( w(k_ppp,j,i) + w(k_mm,j,i) )                  &
-                                       )
-
-                diss_t    = - ABS( w_comp ) * rho_air(k+1) * (               &
-                          ( 10.0_wp * ibit35 * adv_mom_5                        &
-                       +     3.0_wp * ibit34 * adv_mom_3                        &
-                       +              ibit33 * adv_mom_1                        &
-                          ) *                                                &
-                             ( w(k+1,j,i)   - w(k,j,i)    )                  &
-                   -      (  5.0_wp * ibit35 * adv_mom_5                        &
-                       +              ibit34 * adv_mom_3                        &
-                          ) *                                                &
-                             ( w(k_pp,j,i)  - w(k-1,j,i)  )                  &
-                   +      (           ibit35 * adv_mom_5                        &
-                          ) *                                                &
-                             ( w(k_ppp,j,i) - w(k_mm,j,i) )                  &
-                                               )
-!
-!--             Calculate the divergence of the velocity field. A respective
-!--             correction is needed to overcome numerical instabilities caused
-!--             by a not sufficient reduction of divergences near topography.
-                div = ( ( ( u_comp + gu ) * ( ibit27 + ibit28 + ibit29 )      &
-                  - ( u(k+1,j,i) + u(k,j,i)   )                               & 
-                                    * ( IBITS(wall_flags_0(k,j,i-1),27,1)     &
-                                      + IBITS(wall_flags_0(k,j,i-1),28,1)     &
-                                      + IBITS(wall_flags_0(k,j,i-1),29,1)     &
-                                      )                                       &
-                  ) * rho_air_zw(k) * ddx                                     &
-              +   ( ( v_comp + gv ) * ( ibit30 + ibit31 + ibit32 )            &
-                  - ( v(k+1,j,i) + v(k,j,i)   )                               &
-                                    * ( IBITS(wall_flags_0(k,j-1,i),30,1)     &
-                                      + IBITS(wall_flags_0(k,j-1,i),31,1)     &
-                                      + IBITS(wall_flags_00(k,j-1,i),0,1)     &
-                                      )                                       &
-                  ) * rho_air_zw(k) * ddy                                     &
-              +   ( w_comp * rho_air(k+1) * ( ibit33 + ibit34 + ibit35 )      &
-                - ( w(k,j,i)   + w(k-1,j,i)   ) * rho_air(k)                  &
-                                    * ( IBITS(wall_flags_00(k-1,j,i),1,1)     &
-                                      + IBITS(wall_flags_00(k-1,j,i),2,1)     &
-                                      + IBITS(wall_flags_00(k-1,j,i),3,1)     &
-                                      )                                       & 
-                  ) * ddzu(k+1)   &
-                ) * 0.5_wp
-
-
-                tend(k,j,i) = - (                                                &
-                               ( flux_r + diss_r - flux_l - diss_l ) * ddx       &
-                             + ( flux_n + diss_n - flux_s - diss_s ) * ddy       &
-                             + ( ( flux_t + diss_t ) -                           &
-                                 ( flux_d + diss_d ) * rho_air(k)                &
-                               ) * drho_air_zw(k) * ddzu(k+1)                    &
-                                 ) + div * w(k,j,i)
-
-
-!++
-!--             Statistical Evaluation of w'w'.
-!                sums_ws2_ws_l(k,tn)  = sums_ws2_ws_l(k,tn)                    &
-!                               + ( flux_t + diss_t )                    &
-!                               *   weight_substep(intermediate_timestep_count)
-
-             ENDDO
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE advec_w_ws_acc
-
  END MODULE advec_ws
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 2117)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives removed
 ! 
 ! Former revisions:
@@ -188,11 +188,8 @@
 !-- Bottom boundary 
     IF ( ibc_uv_b == 1 )  THEN
-       !$acc kernels present( u_p, v_p )
        u_p(nzb,:,:) = u_p(nzb+1,:,:)
        v_p(nzb,:,:) = v_p(nzb+1,:,:)
-       !$acc end kernels
-    ENDIF
-
-    !$acc kernels present( nzb_w_inner, w_p )
+    ENDIF
+
     DO  i = nxlg, nxrg
        DO  j = nysg, nyng
@@ -200,24 +197,17 @@
        ENDDO
     ENDDO
-    !$acc end kernels
 
 !
 !-- Top boundary. A nested domain ( ibc_uv_t = 3 ) does not require settings.
     IF ( ibc_uv_t == 0 )  THEN
-       !$acc kernels present( u_init, u_p, v_init, v_p )
         u_p(nzt+1,:,:) = u_init(nzt+1)
         v_p(nzt+1,:,:) = v_init(nzt+1)
-       !$acc end kernels
     ELSEIF ( ibc_uv_t == 1 )  THEN
-       !$acc kernels present( u_p, v_p )
         u_p(nzt+1,:,:) = u_p(nzt,:,:)
         v_p(nzt+1,:,:) = v_p(nzt,:,:)
-       !$acc end kernels
     ENDIF
 
     IF ( .NOT. nest_domain )  THEN
-       !$acc kernels present( w_p )
        w_p(nzt:nzt+1,:,:) = 0.0_wp  ! nzt is not a prognostic level (but cf. pres)
-       !$acc end kernels
     ENDIF
 
@@ -227,23 +217,15 @@
 !-- the sea surface temperature of the coupled ocean model.
     IF ( ibc_pt_b == 0 )  THEN
-       !$acc kernels present( nzb_s_inner, pt, pt_p )
-       !$acc loop independent
        DO  i = nxlg, nxrg
-          !$acc loop independent
           DO  j = nysg, nyng
              pt_p(nzb_s_inner(j,i),j,i) = pt(nzb_s_inner(j,i),j,i)
           ENDDO
        ENDDO
-       !$acc end kernels
     ELSEIF ( ibc_pt_b == 1 )  THEN
-       !$acc kernels present( nzb_s_inner, pt_p )
-       !$acc loop independent
        DO  i = nxlg, nxrg
-          !$acc loop independent
           DO  j = nysg, nyng
              pt_p(nzb_s_inner(j,i),j,i) = pt_p(nzb_s_inner(j,i)+1,j,i)
           ENDDO
        ENDDO
-      !$acc end kernels
     ENDIF
 
@@ -251,5 +233,4 @@
 !-- Temperature at top boundary
     IF ( ibc_pt_t == 0 )  THEN
-       !$acc kernels present( pt, pt_p )
         pt_p(nzt+1,:,:) = pt(nzt+1,:,:)
 !
@@ -259,13 +240,8 @@
            pt_p(nzt+1,:,:) = pt_init(nzt+1)
         ENDIF
-       !$acc end kernels
     ELSEIF ( ibc_pt_t == 1 )  THEN
-       !$acc kernels present( pt_p )
         pt_p(nzt+1,:,:) = pt_p(nzt,:,:)
-       !$acc end kernels
     ELSEIF ( ibc_pt_t == 2 )  THEN
-       !$acc kernels present( dzu, pt_p )
         pt_p(nzt+1,:,:) = pt_p(nzt,:,:) + bc_pt_t_val * dzu(nzt+1)
-       !$acc end kernels
     ENDIF
 
@@ -274,8 +250,5 @@
 !-- Generally Neumann conditions with de/dz=0 are assumed
     IF ( .NOT. constant_diffusion )  THEN
-       !$acc kernels present( e_p, nzb_s_inner )
-       !$acc loop independent
        DO  i = nxlg, nxrg
-          !$acc loop independent
           DO  j = nysg, nyng
              e_p(nzb_s_inner(j,i),j,i) = e_p(nzb_s_inner(j,i)+1,j,i)
@@ -285,5 +258,4 @@
           e_p(nzt+1,:,:) = e_p(nzt,:,:)
        ENDIF
-       !$acc end kernels
     ENDIF
 
Index: /palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- /palm/trunk/SOURCE/buoyancy.f90	(revision 2117)
+++ /palm/trunk/SOURCE/buoyancy.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -102,5 +102,5 @@
 
     PRIVATE
-    PUBLIC buoyancy, buoyancy_acc
+    PUBLIC buoyancy
 
     INTERFACE buoyancy
@@ -108,8 +108,4 @@
        MODULE PROCEDURE buoyancy_ij
     END INTERFACE buoyancy
-
-    INTERFACE buoyancy_acc
-       MODULE PROCEDURE buoyancy_acc
-    END INTERFACE buoyancy_acc
 
  CONTAINS
@@ -212,106 +208,4 @@
 
     END SUBROUTINE buoyancy
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE buoyancy_acc( var, wind_component )
-
-       USE arrays_3d,                                                          &
-           ONLY:  pt, pt_slope_ref, ref_state, tend
-
-       USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, cos_alpha_surface, g, message_string,      &
-                  pt_surface, sin_alpha_surface, sloping_surface
-
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxlg, nxlu, nxr,     &
-                  nxrg, nyn, nyng, nys, nysg, nzb, nzb_s_inner, nzt
-
-       USE kinds
-
-       USE pegrid
-
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i              !<
-       INTEGER(iwp) ::  j              !<
-       INTEGER(iwp) ::  k              !<
-       INTEGER(iwp) ::  wind_component !<
-       
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !<
-#else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
-#endif
-
-
-       IF ( .NOT. sloping_surface )  THEN
-!
-!--       Normal case: horizontal surface
-          !$acc kernels present( nzb_s_inner, ref_state, tend, var )
-          !$acc loop
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-                !$acc loop independent vector
-                DO  k = nzb_s_inner(j,i)+1, nzt-1
-                   tend(k,j,i) = tend(k,j,i) + atmos_ocean_sign * g * 0.5_wp * &
-                          (                                                    &
-                             ( var(k,j,i)   - ref_state(k) )   / ref_state(k) + &
-                             ( var(k+1,j,i) - ref_state(k+1) ) / ref_state(k+1) &
-                          )
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-
-       ELSE
-!
-!--       Buoyancy term for a surface with a slope in x-direction. The equations
-!--       for both the u and w velocity-component contain proportionate terms.
-!--       Temperature field at time t=0 serves as environmental temperature.
-!--       Reference temperature (pt_surface) is the one at the lower left corner
-!--       of the total domain.
-          IF ( wind_component == 1 )  THEN
-
-             DO  i = nxlu, nxr
-                DO  j = nys, nyn
-                   DO  k = nzb_s_inner(j,i)+1, nzt-1
-                      tend(k,j,i) = tend(k,j,i) + g * sin_alpha_surface *      &
-                           0.5_wp * ( ( pt(k,j,i-1)         + pt(k,j,i)         ) &
-                                    - ( pt_slope_ref(k,i-1) + pt_slope_ref(k,i) ) &
-                                    ) / pt_surface
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          ELSEIF ( wind_component == 3 )  THEN
-
-             DO  i = nxl, nxr
-                DO  j = nys, nyn
-                   DO  k = nzb_s_inner(j,i)+1, nzt-1
-                      tend(k,j,i) = tend(k,j,i) + g * cos_alpha_surface *      &
-                           0.5_wp * ( ( pt(k,j,i)         + pt(k+1,j,i)         ) &
-                                    - ( pt_slope_ref(k,i) + pt_slope_ref(k+1,i) ) &
-                                    ) / pt_surface
-                   ENDDO
-                ENDDO
-            ENDDO
-
-          ELSE
-
-             WRITE( message_string, * ) 'no term for component "',             &
-                                       wind_component,'"'
-             CALL message( 'buoyancy', 'PA0159', 1, 2, 0, 6, 0 )
-
-          ENDIF
-
-       ENDIF
-
-    END SUBROUTINE buoyancy_acc
 
 
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2117)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC related parts of code removed
 ! 
 ! Former revisions:
@@ -518,7 +518,4 @@
     IF ( transpose_compute_overlap )  THEN
        IF ( numprocs == 1 )  STOP '+++ transpose-compute-overlap not implemented for single PE runs'
-#if defined( __openacc )
-       STOP '+++ transpose-compute-overlap not implemented for GPU usage'
-#endif
     ENDIF
 
@@ -774,5 +771,5 @@
     SELECT CASE ( TRIM( loop_optimization ) )
 
-       CASE ( 'acc', 'cache', 'vector' )
+       CASE ( 'cache', 'vector' )
           CONTINUE
 
